/*
 * Document confidentiel - Diffusion interdite 
 */

package com.evasion.framework.test;

import org.junit.Assert;

/**
 * Tester de Equals Strict.
 * 
 * Cette impl�mentation teste les equals impl�ment�s avec une comparaison sur
 * les classes. par ex: <br/>
 * <code>
 * public bollean equals(Object obj) {<br/>
 * 		if (this == obj) {<br/>
 * 			return true;<br/>
 * 		}<br/>
 * <br/></code> <b><code>
 * 		if (this.getClass() != obj .getClass() {<br/></code> </b>
 * <code>
 * 			return false;<br/>
 * 		}<br/>
 * 		....<br/>
 * }
 * </code>
 */
public class StrictEqualsTester extends AbstractEqualsTester {

	/**
	 * {@inheritDoc}
	 */
	protected void assertEqualsSubClass(final Object a, final Object d) {
		Assert.assertFalse(
				"a.equals(d) returned true, equals() is using 'instanceof' ?",
				a.equals(d));
		Assert.assertFalse(
				"d.equals(a) returned true, equals() is using 'instanceof' ?",
				d.equals(a));
	}
}
